### Function

# Fwupd status_from_string

#### Declaration [src]

    FwupdStatus
    fwupd_status_from_string (
      const gchar* status
    )

#### Description [src]

Converts a string to an enumerated status.

Available since: | 0.1.1

#### Parameters

`status` | `const gchar*`
| A string, e.g. `decompressing`
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `FwupdStatus`
| Enumerated value.